'use strict';

var sorcery = require('sorcery');



exports['default'] = serveSourcemap;
function serveSourcemap(filepath, sourcemapPromises, request, response) {
	var owner = filepath.slice(0, -4);

	if (!sourcemapPromises[filepath]) {
		sourcemapPromises[filepath] = sorcery.load(owner).then(function (chain) {
			if (!chain) {
				throw new Error("Could not resolve sourcemap for " + owner);
			}

			return chain.apply().toString();
		});
	}

	return sourcemapPromises[filepath].then(function (map) {
		response.statusCode = 200;
		response.setHeader("Content-Type", "application/json");

		response.write(map);
		response.end();
	});
}
//# sourceMappingURL=serveSourcemap.js.map
